View Issue Details

IDProjectCategoryView StatusLast Update
0004910GNUnetDHT servicepublic2018-06-07 00:24
ReportertgAssigned ToChristian Grothoff 
PriorityurgentSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004910: dht: compile error
Descriptionhttps://gnunet.org/buildbot/gnunet/#/builders/2/builds/187/steps/4/logs/stdio
https://gnunet.org/buildbot/gnunet/#/builders/5/builds/207/steps/4/logs/stdio
Additional Information1452 CC gnunet-service-xdht_neighbours.o
1453gnunet-service-xdht_neighbours.c:2310:1: error: conflicting types for ‘GDS_NEIGHBOURS_handle_get’
1454 GDS_NEIGHBOURS_handle_get (enum GNUNET_BLOCK_Type block_type,
1455 ^
1456In file included from gnunet-service-xdht_neighbours.c:42:0:
1457gnunet-service-dht_neighbours.h:85:1: note: previous declaration of ‘GDS_NEIGHBOURS_handle_get’ was here
1458 GDS_NEIGHBOURS_handle_get (enum GNUNET_BLOCK_Type type,
1459 ^
1460gnunet-service-xdht_neighbours.c: In function ‘GDS_NEIGHBOURS_handle_get’:
1461gnunet-service-xdht_neighbours.c:2345:31: error: too many arguments to function ‘GDS_DATACACHE_handle_get’
1462 NULL);
1463 ^
1464In file included from gnunet-service-xdht_neighbours.c:41:0:
1465gnunet-service-dht_datacache.h:96:1: note: declared here
1466 GDS_DATACACHE_handle_get (const struct GNUNET_HashCode *key,
1467 ^
1468gnunet-service-xdht_neighbours.c: In function ‘handle_dht_p2p_put’:
1469gnunet-service-xdht_neighbours.c:3573:8: error: incompatible type for argument 4 of ‘GNUNET_BLOCK_evaluate’
1470 payload_size))
1471 ^
1472In file included from gnunet-service-xdht_neighbours.c:30:0:
1473../../src/include/gnunet_block_lib.h:306:1: note: expected ‘enum GNUNET_BLOCK_EvaluationOptions’ but argument is of type ‘void *’
1474 GNUNET_BLOCK_evaluate (struct GNUNET_BLOCK_Context *ctx,
1475 ^
1476gnunet-service-xdht_neighbours.c:3573:8: warning: passing argument 7 of ‘GNUNET_BLOCK_evaluate’ makes integer from pointer without a cast [enabled by default]
1477 payload_size))
1478 ^
1479In file included from gnunet-service-xdht_neighbours.c:30:0:
1480../../src/include/gnunet_block_lib.h:306:1: note: expected ‘size_t’ but argument is of type ‘void *’
1481 GNUNET_BLOCK_evaluate (struct GNUNET_BLOCK_Context *ctx,
1482 ^
1483gnunet-service-xdht_neighbours.c:3573:8: warning: passing argument 9 of ‘GNUNET_BLOCK_evaluate’ makes integer from pointer without a cast [enabled by default]
1484 payload_size))
1485 ^
1486In file included from gnunet-service-xdht_neighbours.c:30:0:
1487../../src/include/gnunet_block_lib.h:306:1: note: expected ‘size_t’ but argument is of type ‘void *’
1488 GNUNET_BLOCK_evaluate (struct GNUNET_BLOCK_Context *ctx,
1489 ^
1490gnunet-service-xdht_neighbours.c:3573:8: error: too many arguments to function ‘GNUNET_BLOCK_evaluate’
1491 payload_size))
1492 ^
1493In file included from gnunet-service-xdht_neighbours.c:30:0:
1494../../src/include/gnunet_block_lib.h:306:1: note: declared here
1495 GNUNET_BLOCK_evaluate (struct GNUNET_BLOCK_Context *ctx,
1496 ^
1497gnunet-service-xdht_neighbours.c: In function ‘handle_dht_p2p_get’:
1498gnunet-service-xdht_neighbours.c:3811:33: error: too many arguments to function ‘GDS_DATACACHE_handle_get’
1499 NULL);
1500 ^
1501In file included from gnunet-service-xdht_neighbours.c:41:0:
1502gnunet-service-dht_datacache.h:96:1: note: declared here
1503 GDS_DATACACHE_handle_get (const struct GNUNET_HashCode *key,
1504 ^
1505gnunet-service-xdht_neighbours.c:3822:33: error: too many arguments to function ‘GDS_DATACACHE_handle_get’
1506 &gp[get_length - 2]);
1507 ^
1508In file included from gnunet-service-xdht_neighbours.c:41:0:
1509gnunet-service-dht_datacache.h:96:1: note: declared here
1510 GDS_DATACACHE_handle_get (const struct GNUNET_HashCode *key,
1511 ^
1512Makefile:1276: recipe for target 'gnunet-service-xdht_neighbours.o' failed
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-22 20:59

manager   ~0011832

Fixed in 88a0df3dc..964c35548

Issue History

Date Modified Username Field Change
2017-02-21 20:49 tg New Issue
2017-02-21 20:49 tg Status new => assigned
2017-02-21 20:49 tg Assigned To => Bart Polot
2017-02-22 00:11 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-22 18:45 Christian Grothoff Priority normal => urgent
2017-02-22 18:45 Christian Grothoff Severity major => block
2017-02-22 18:45 Christian Grothoff Product Version => SVN HEAD
2017-02-22 18:45 Christian Grothoff Target Version => 0.11.0pre66
2017-02-22 20:59 Christian Grothoff Status assigned => resolved
2017-02-22 20:59 Christian Grothoff Resolution open => fixed
2017-02-22 20:59 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-22 20:59 Christian Grothoff Note Added: 0011832
2018-06-07 00:24 Christian Grothoff Status resolved => closed